package com.siwei.spatial.api.domain.file;

import com.siwei.common.core.web.domain.BaseSridEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;

/**
 * 空间入库存储空间详情对象 t_geom_db_details
 * 
 * @author siwei
 * @date 2025-02-05
 */
public class TGeomDbDetails extends BaseSridEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 空间信息 */
    @Excel(name = "空间信息")
    private String geom;

    /** 上传数据ID */
    @Excel(name = "上传数据ID")
    private String uploadId;

    /** 空间属性 */
    @Excel(name = "空间属性")
    private String geomJson;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 空间面积 */
    @Excel(name = "空间面积")
    private String geomArea;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setGeom(String geom) 
    {
        this.geom = geom;
    }

    public String getGeom() 
    {
        return geom;
    }
    public void setUploadId(String uploadId) 
    {
        this.uploadId = uploadId;
    }

    public String getUploadId() 
    {
        return uploadId;
    }
    public void setGeomJson(String geomJson) 
    {
        this.geomJson = geomJson;
    }

    public String getGeomJson() 
    {
        return geomJson;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setGeomArea(String geomArea) 
    {
        this.geomArea = geomArea;
    }

    public String getGeomArea() 
    {
        return geomArea;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("geom", getGeom())
            .append("uploadId", getUploadId())
            .append("geomJson", getGeomJson())
            .append("sort", getSort())
            .append("geomArea", getGeomArea())
            .toString();
    }
}
